## org.apache.cassandra.io
Class IteratingRow

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<IColumn>
              org.apache.cassandra.io.IteratingRow

All Implemented Interfaces:
  java.lang.Comparable<IteratingRow>, java.util.Iterator<IColumn>

    public class IteratingRow

extends com.google.common.collect.AbstractIterator<IColumn>
implements java.lang.Comparable<IteratingRow>

Field Summary
`SSTableReader` `sstable`

Constructor Summary
`IteratingRow(BufferedRandomAccessFile file, SSTableReader sstable)`

Method Summary
`int` `compareTo(IteratingRow o)`
`protected IColumn` `computeNext()`
`void` `echoData(java.io.DataOutput out)`
`ColumnFamily` `getColumnFamily()`
`long` `getEndPosition()`
`DecoratedKey` `getKey()`
`java.lang.String` `getPath()`
`void` `skipRemaining()`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sstable

    public final SSTableReader sstable

Constructor Detail

### IteratingRow

    public IteratingRow(BufferedRandomAccessFile file,
                        SSTableReader sstable)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getKey

    public DecoratedKey getKey()

### getPath

    public java.lang.String getPath()

### echoData

    public void echoData(java.io.DataOutput out)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getColumnFamily

    public ColumnFamily getColumnFamily()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipRemaining

    public void skipRemaining()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEndPosition

    public long getEndPosition()

### computeNext

    protected IColumn computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<IColumn>`

### compareTo

    public int compareTo(IteratingRow o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<IteratingRow>`

Copyright © 2010 The Apache Software Foundation